Subject: Re: bug#39883: 28.0.50; macOS blank frame

From: Ashish SHUKLA <[email-masked]>
Date: Thu, 2 Apr 2020 11:49:45 +0530

On 4/2/20 12:23 AM, Alan Third wrote:
> On Wed, Apr 01, 2020 at 09:51:37AM +0530, Ashish SHUKLA wrote:
>> On 3/31/20 10:22 PM, Alan Third wrote:
>>> On Mon, Mar 30, 2020 at 01:24:59AM +0530, Ashish SHUKLA wrote:
>>>>
>>>> It seems like building with same configure flags, but outside nix causes
>>>> issue to disappear. So, maybe it's something to do with the nix environment.
>>>
>>> Nix used to use headers from macOS 10.10 or thereabouts, even on newer
>>> versions of macOS. I don’t know if this is still the case. The problem
>>> is that our compile‐time feature detection code detects the wrong
>>> features as a result.
>>>
>>> Could you perhaps try changing src/nsterm.h so that this:
>>>
>>> #define NS_DRAW_TO_BUFFER 1
>>>
>>> is always defined? You should be able to just delete or comment out
>>> the #if and #endif.
>>>
>>> I don’t know how easy that is for you with Nix, hopefully it’s pretty
>>> straight forward.
>>>
>>
>> Hi Alan,
>>
>> It turns out after deleting those lines the problem is resolved. I will
>> investigate on Nix side, what went wrong.
> 
> It’s quite possible we’ll need to provide some sort of option to force
> this, or to do run‐time feature detection. I don’t much fancy trying
> to code up the runtime detection for this feature, but if we need it
> we need it.
> 
> For my own future reference: perhaps we should do a test in
> ./configure rather than rely on the contents of the headers?
> 

That definitely seems more foolproof. Let me know if you like me to test
your diff.

Thanks!
-- 
Ashish SHUKLA